# Note: upstream bugzilla is down: http://bugs.async.com.br/
%global debug_package %{nil}
%global srcname kiwi-gtk

Name:           python-kiwi-gtk
Version:        1.11.1
Release:        1%{?dist}
Summary:        Framework for Python GUI applications

License:        LGPLv2+
URL:            http://www.async.com.br/projects/kiwi/
Source0:        https://pypi.io/packages/source/k/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  python2-devel, pygtk2-devel >= 2.8, gettext, pkgconfig
BuildRequires:  python-setuptools


%global _description\
Kiwi consists of a set of classes and wrappers for PyGTK that were\
developed to provide a sort of framework for applications. Fully\
object-oriented, and roughly Smalltalk's MVC, Kiwi provides a simple,\
practical way to build forms, windows and widgets that transparently\
access and display your object data.\


%description %_description

%package -n python2-kiwi-gtk
Summary: %summary
Requires:       pygtk2 >= 2.8
%{?python_provide:%python_provide python2-kiwi-gtk}

%description -n python2-kiwi-gtk %_description

%package -n python2-kiwi-gtk-glade
Summary:        Glade integration for kiwi
Requires:       glade, %{name} = %{version}-%{release}
# No Provides as it's not a 1:1 replacement
Obsoletes:      python-kiwi-gtk-gazpacho < 1.9.26

%description -n python2-kiwi-gtk-glade
This package contains additional files necessary for integration with
Glade editor.


%package -n python2-kiwi-gtk-docs
Summary:        Documentation related to python-kiwi-gtk
Requires:       %{name} = %{version}-%{release}

%description -n python2-kiwi-gtk-docs
This package contains documentation that contains APIs and related materials,
useful for reference when writing software using Kiwi.


%prep
%setup -q -n %{srcname}-%{version}
sed -i 's/glade3/glade/g' data/kiwiwidgets/kiwiwidgets.py setup.py
sed -i 's#$libdir#%{_libdir}#g' setup.py
sed -i 's#share/doc/kiwi#share/doc/%{name}#g' setup.py
sed -i '1d' kiwi/i18n/msgfmt.py

# cleaning up FSF address warnings to avoid cluttering rpmlint output
for file in {bin/kiwi-{i18n,ui-test},kiwi/ui/{listdialog,dialogs}.py}; do
    sed -i 's/59 Temple Place - Suite 330, Boston, MA 02111-1307, USA/51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA/g' $file
done
sed -i 's/59 Temple Place, Suite 330, Boston, MA  02111-1307  USA/51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA/g' COPYING
# Fix non-utf-8 files
for file in examples/{completion,validation/slaves}.py; do
    iconv -f iso8859-1 -t utf-8 $file > $file.conv && mv -f $file.conv $file
done
# Fix shebangs
find -name "*.py" -exec \
sed -i 's#/usr/bin/env python#%{__python2}#g' {} \;


%build
%py2_build


%install
%py2_install

%{find_lang} kiwi


%global _docdir_fmt %{name}

%files -n python2-kiwi-gtk -f kiwi.lang
%doc AUTHORS COPYING README NEWS
%{_bindir}/*
%{python2_sitelib}/kiwi
%{python2_sitelib}/*.egg-info

%files -n python2-kiwi-gtk-glade
%doc README
%{_libdir}/glade/modules/*
%{_datadir}/glade

%files -n python2-kiwi-gtk-docs
%doc doc/* examples


%changelog
* Fri Sep 22 2017 Haïkel Guémar <hguemar@fedoraproject.org> - 1.11.1-1
- Upstream 1.11.1
- Renamed to kiwi-gtk
- Spec cleanups

* Thu Aug 10 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.9.38-11
- Python 2 binary package renamed to python2-kiwi
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.38-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.38-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.38-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.38-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.38-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.38-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.38-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.38-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 11 2013 Haïkel Guémar <hguemar@fedoraproject.org> - 1.9.38-2
- disable debuginfo generation (RHBZ #995757)

* Tue Aug 06 2013 Haïkel Guémar <hguemar@fedoraproject.org> - 1.9.38-1
- upstream 1.9.38
- obsoletes python-kiwi-gazpacho (replaced by python-kiwi-glade)
- fix unversionned doc (RHBZ #994058)
- refresh spec

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.26-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.26-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.26-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.26-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.26-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.9.26-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Dec 15 2009 Haïkel Guémar <karlthered@gmail.com> - 1.9.26-1
- Upstream 1.9.26
- Fix kiwi custom distutils to conform fedora python packaging guidelines.

* Tue Aug 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.9.25-3
- Use bzipped upstream tarball.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 08 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.25-1
- Upstream 1.9.25
- Added Advanced Search in search dialogs
- Added initial support for loading GtkBuilder files
- Added multi-line capability in ComboEntry options
- Bugfixes

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 29 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.23-1
- Upstream 1.9.23

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.9.22-2
- Rebuild for Python 2.6

* Mon Jun 30 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.22-1
- Upstream 1.9.22

* Sat May 10 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.21-1
- Upstream 1.9.21

* Sun Feb 17 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.20-2
- Upstream 1.9.20

* Thu Jan 17 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.19-2
- Package the egg-info file.

* Sun Dec 23 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.19-1
- Upstream 1.9.19

* Fri Aug 17 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.16-1
- Upstream 1.9.16
- Appease license naming gods -- LGPLv2+

* Mon Jun 11 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.15-1
- Upstream 1.9.15

* Sun Apr 01 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.14-1
- Upstream 1.9.14

* Sun Mar 11 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.13-1
- Upstream 1.9.13
- Use .bz2 file to save space
- BR pkgconfig and pygtk2-devel for setup script

* Sun Dec 17 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.11-1
- Upstream 1.9.11
- Do not manually provide python-abi
- Move docs into a subpackage
- Do a better job with gazpacho dir ownerships

* Sun Sep 03 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.9-1
- Version 1.9.9
- Do not ghost
- No more /etc/kiwi

* Wed Jul 12 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.8-1
- Fedora Extras rebuild.

* Fri Jul 07 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.8-0.4
- Build in slimmer build environments.

* Fri Jun 16 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.8-0.3
- Fix the incorrect gazpacho location on x86_64 (we are fully noarch)

* Fri May 19 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.8-0.2
- Initial packaging
